Xerces 3.1.1 API: Class SAXParser

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.xml.parsers
Class SAXParser

    java.lang.Object
      |
      +--com.ibm.xml.parsers.SAXParser

Direct Known Subclasses:
  ValidatingSAXParser

Deprecated. The W3C's DOM L3 working group will specify a standardized API for parser instantiation. XML4J and Xerces will switch to this API when it becomes available

public class SAXParser
extends java.lang.Object
implements Parser

Non-validating SAX Parser. SAXParser exists to provide backwards compatibility with XML4J V2.0

Version:
  Revision: 90 1.2 xml4j3/src/com/ibm/xml/parsers/SAXParser.java, xml4j3, xml4j3_0_1

Field Summary
`protected SAXParser` | `fParser` Deprecated.

Constructor Summary
`SAXParser()` Deprecated. Default constructor.

Method Summary
`void` | `attlistDecl(int elementIndex, int attDefIndex)` Deprecated. Attlist decl.
`void` | `characters(char[] ch, int start, int length, boolean cdataSection)` Deprecated. Characters.
`void` | `characters(int dataIndex, boolean cdataSection)` Deprecated. Not called.
`void` | `comment(int dataIndex)` Deprecated. Comment.
`void` | `doctypeDecl(int rootElementNameIndex)` Deprecated. This function will be called when a <!DOCTYPE...> declaration is encountered.
`void` | `elementDecl(int elementIndex)` Deprecated. Element decl.
`void` | `endDocument()` Deprecated. End document.
`void` | `endElement(int elementNameIndex)` Deprecated. End element.
`void` | `endEntityReference(int entityIndex)` Deprecated. End entity reference.
`void` | `endExternalSubset()` Deprecated. This function will be called at the end of the "external subset" of a doctype declaration.
`void` | `endInternalSubset()` Deprecated. This function will be called at the end of the "internal subset" of a doctype declaration.
`void` | `externalEntityDecl(int entityIndex)` Deprecated. External entity decl.
`boolean` | `getAllowJavaEncodingName()` Deprecated.
`boolean` | `getCheckNamespace()` Deprecated.
`boolean` | `getContinueAfterFatalError()` Deprecated.
`protected Locator` | `getLocator()` Deprecated. Return the `Locator` object.
`boolean` | `getWarningOnDuplicateAttDef()` Deprecated.
`void` | `ignorableWhitespace(char[] ch, int start, int length, boolean cdataSection)` Deprecated. Ignorable whitespace.
`void` | `ignorableWhitespace(int dataIndex, boolean cdataSection)` Deprecated. Not called.
`void` | `internalEntityDecl(int entityIndex)` Deprecated. Internal entity decl.
`void` | `notationDecl(int notationIndex)` Deprecated. Notation decl.
`void` | `parameterEntityDecl(int entityIndex)` Deprecated.
`void` | `parse(InputSource source)` Deprecated. Parses the specified input source.
`void` | `parse(java.lang.String systemId)` Deprecated. Parses the input source specified by the given system identifier.
`void` | `processingInstruction(int targetIndex, int dataIndex)` Deprecated. Processing instruction.
`void` | `reset()` Deprecated.
`boolean` | `sendCharDataAsCharArray()` Deprecated. Send char data as array.
`void` | `setAllowJavaEncodingName(boolean flag)` Deprecated.
`void` | `setCheckNamespace(boolean flag)` Deprecated.
`void` | `setContinueAfterFatalError(boolean flag)` Deprecated.
`void` | `setDocumentHandler(DocumentHandler handler)` Deprecated. Sets the document handler.
`void` | `setDTDHandler(DTDHandler handler)` Deprecated. Sets the DTD handler.
`void` | `setEntityResolver(EntityResolver resolver)` Deprecated. Sets the entity resolver.
`void` | `setErrorHandler(ErrorHandler handler)` Deprecated. Sets the error handler
`void` | `setLocale(java.util.Locale locale)` Deprecated. Sets the locale
`void` | `setWarningOnDuplicateAttDef(boolean flag)` Deprecated.
`void` | `startDocument(int versionIndex, int encodingIndex, int standAloneIndex)` Deprecated. Start document.
`void` | `startElement(int elementNameIndex, int attrListIndex)` Deprecated. Start element
`void` | `startEntityReference(int entityIndex)` Deprecated. Start entity reference.
`void` | `startExternalSubset(int publicIdStringIndex, int systemIdStringIndex)` Deprecated. This function will be called at the start of the "external subset" of a doctype declaration.
`void` | `startInternalSubset()` Deprecated. This function will be called at the start of the "internal subset" of a doctype declaration.
`void` | `unparsedEntityDecl(int entityIndex)` Deprecated. Unparsed entity decl.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fParser

    protected SAXParser fParser

  Deprecated.

Constructor Detail

### SAXParser

    public SAXParser()

  Deprecated.
  Default constructor.

Method Detail

### setEntityResolver

    public void setEntityResolver(EntityResolver resolver)

  Deprecated.
  Sets the entity resolver.
  Specified by:
    setEntityResolver in interface Parser
  Tags copied from interface: Parser
  Parameters:
    `resolver` - The object for resolving entities.
  See Also:
    `EntityResolver`, `HandlerBase`

### setDTDHandler

    public void setDTDHandler(DTDHandler handler)

  Deprecated.
  Sets the DTD handler.
  Specified by:
    setDTDHandler in interface Parser
  Tags copied from interface: Parser
  Parameters:
    `handler` - The DTD handler.
  See Also:
    `DTDHandler`, `HandlerBase`

### setDocumentHandler

    public void setDocumentHandler(DocumentHandler handler)

  Deprecated.
  Sets the document handler.
  Specified by:
    setDocumentHandler in interface Parser
  Tags copied from interface: Parser
  Parameters:
    `handler` - The document handler.
  See Also:
    `DocumentHandler`, `HandlerBase`

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  Deprecated.
  Sets the error handler
  Specified by:
    setErrorHandler in interface Parser
  Tags copied from interface: Parser
  Parameters:
    `handler` - The error handler.
  See Also:
    `ErrorHandler`, `SAXException`, `HandlerBase`

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws SAXException

  Deprecated.
  Sets the locale
  Specified by:
    setLocale in interface Parser
  Tags copied from interface: Parser
  Parameters:
    `locale` - A Java Locale object.
  Throws:
    SAXException - Throws an exception (using the previous or default locale) if the requested locale is not supported.
  See Also:
    `SAXException`, `SAXParseException`

### doctypeDecl

    public void doctypeDecl(int rootElementNameIndex)
                     throws java.lang.Exception

  Deprecated.
  This function will be called when a <!DOCTYPE...> declaration is encountered.

### startInternalSubset

    public void startInternalSubset()
                             throws java.lang.Exception

  Deprecated.
  This function will be called at the start of the "internal subset" of a doctype declaration.

### endInternalSubset

    public void endInternalSubset()
                           throws java.lang.Exception

  Deprecated.
  This function will be called at the end of the "internal subset" of a doctype declaration.

### startExternalSubset

    public void startExternalSubset(int publicIdStringIndex,
                                    int systemIdStringIndex)
                             throws java.lang.Exception

  Deprecated.
  This function will be called at the start of the "external subset" of a doctype declaration.

### endExternalSubset

    public void endExternalSubset()
                           throws java.lang.Exception

  Deprecated.
  This function will be called at the end of the "external subset" of a doctype declaration.

### elementDecl

    public void elementDecl(int elementIndex)
                     throws java.lang.Exception

  Deprecated.
  Element decl.

### attlistDecl

    public void attlistDecl(int elementIndex,
                            int attDefIndex)
                     throws java.lang.Exception

  Deprecated.
  Attlist decl.

### internalEntityDecl

    public void internalEntityDecl(int entityIndex)
                            throws java.lang.Exception

  Deprecated.
  Internal entity decl.

### externalEntityDecl

    public void externalEntityDecl(int entityIndex)
                            throws java.lang.Exception

  Deprecated.
  External entity decl.

### unparsedEntityDecl

    public void unparsedEntityDecl(int entityIndex)
                            throws java.lang.Exception

  Deprecated.
  Unparsed entity decl.

### parameterEntityDecl

    public void parameterEntityDecl(int entityIndex)

  Deprecated.

### notationDecl

    public void notationDecl(int notationIndex)
                      throws java.lang.Exception

  Deprecated.
  Notation decl.

### sendCharDataAsCharArray

    public boolean sendCharDataAsCharArray()

  Deprecated.
  Send char data as array.

### startDocument

    public void startDocument(int versionIndex,
                              int encodingIndex,
                              int standAloneIndex)
                       throws java.lang.Exception

  Deprecated.
  Start document.

### endDocument

    public void endDocument()
                     throws java.lang.Exception

  Deprecated.
  End document.

### startElement

    public void startElement(int elementNameIndex,
                             int attrListIndex)
                      throws java.lang.Exception

  Deprecated.
  Start element

### endElement

    public void endElement(int elementNameIndex)
                    throws java.lang.Exception

  Deprecated.
  End element.

### startEntityReference

    public void startEntityReference(int entityIndex)
                              throws java.lang.Exception

  Deprecated.
  Start entity reference.

### endEntityReference

    public void endEntityReference(int entityIndex)
                            throws java.lang.Exception

  Deprecated.
  End entity reference.

### characters

    public void characters(int dataIndex,
                           boolean cdataSection)
                    throws java.lang.Exception

  Deprecated.
  Not called.

### ignorableWhitespace

    public void ignorableWhitespace(int dataIndex,
                                    boolean cdataSection)
                             throws java.lang.Exception

  Deprecated.
  Not called.

### processingInstruction

    public void processingInstruction(int targetIndex,
                                      int dataIndex)
                               throws java.lang.Exception

  Deprecated.
  Processing instruction.

### comment

    public void comment(int dataIndex)
                 throws java.lang.Exception

  Deprecated.
  Comment.

### characters

    public void characters(char[] ch,
                           int start,
                           int length,
                           boolean cdataSection)
                    throws java.lang.Exception

  Deprecated.
  Characters.

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length,
                                    boolean cdataSection)
                             throws java.lang.Exception

  Deprecated.
  Ignorable whitespace.

### parse

    public void parse(InputSource source)
               throws SAXException,
                      java.io.IOException

  Deprecated.
  Parses the specified input source.
  Specified by:
    parse in interface Parser
  Parameters:
    `source` - The input source.
  Throws:
    SAXException - Throws exception on SAX error.
    java.io.IOException - Throws exception on i/o error.

### parse

    public void parse(java.lang.String systemId)
               throws SAXException,
                      java.io.IOException

  Deprecated.
  Parses the input source specified by the given system identifier.

  This method is equivalent to the following:

           parse(new InputSource(systemId));

  Specified by:
    parse in interface Parser
  Parameters:
    `source` - The input source.
  Throws:
    SAXException - Throws exception on SAX error.
    java.io.IOException - Throws exception on i/o error.

### reset

    public void reset()
               throws java.lang.Exception

  Deprecated.

### getLocator

    protected Locator getLocator()

  Deprecated.
  Return the `Locator` object.
  Returns:
    The locator.

### setAllowJavaEncodingName

    public void setAllowJavaEncodingName(boolean flag)

  Deprecated.

### getAllowJavaEncodingName

    public boolean getAllowJavaEncodingName()

  Deprecated.

### setWarningOnDuplicateAttDef

    public void setWarningOnDuplicateAttDef(boolean flag)

  Deprecated.

### getWarningOnDuplicateAttDef

    public boolean getWarningOnDuplicateAttDef()

  Deprecated.

### setCheckNamespace

    public void setCheckNamespace(boolean flag)

  Deprecated.

### getCheckNamespace

    public boolean getCheckNamespace()

  Deprecated.

### setContinueAfterFatalError

    public void setContinueAfterFatalError(boolean flag)

  Deprecated.

### getContinueAfterFatalError

    public boolean getContinueAfterFatalError()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD